#include <iostream>
#include <bits/stdc++.h>

using namespace std;

struct Struct{
    long long x, y;
};

bool cmp(Struct o1, Struct o2){
    return o1.x<o2.x;
}

long long binary_search(long long x, vector<long long> &a){
    long long l = -1;
    long long r = a.size();
    while(r-l>1){
        long long m = (l+r)/2;
        if(m>=x){
            r=m;
        }
        else{
            l=m;
        }
    }
    return r;
}

long long gcd_ext(long long a, long long b, long long &x, long long y){
    if(b==0) {
        x = 1;
        y = 0;
        return a;
    }
    long long x1, y1;
    long long d = gcd_ext(b, a%b, x1, y1);
    x = y1;
    y=x1-y1*(a/b);
    return d;
}

void dfs(vector<vector<long long>> &g, vector<long long> &used, long long i){
    used[i]=1;
    for (auto elem:g[i]) {
        dfs(g,used, elem);
    }
}

void bfs(vector<vector<long long>> &g, vector<long long> &used, long long i){
    queue<long long> q;
    q.push(i);
    while(!q.empty()){
        long long x = q.front();
        q.pop();
        for(auto elem: g[x]){
            if(!used[elem]) {
                q.push(elem);
            }
        }
    }
}

int main() {
    long long n;
    cin >> n;
    for (int i = 0; i < n; ++i) {
        vector<long long> a(6);
        set<long long> st;
        long long sum = 0;
        for (int j = 0; j < 6; ++j) {
            cin >> a[j];
            sum+=a[j];
            st.insert(a[j]);
        }
        if(sum%3==0){
            sum/=3;
            long long flag = 0;
            for (int j = 0; j < 6; ++j) {
                if(st.find(sum-a[j])==st.end()){
                    flag = 1;
                    cout<<"no"<<"\n";
                    break;
                }
            }
            if(flag==0){
                cout<<"yes" << "\n";
            }
        }
        else{
            cout<<"no"<<"\n";
        }
    }
    return 0;
}