#include <iostream>
#include <bits/stdc++.h>

using namespace std;

struct Struct{
    long long x, y;
};

bool cmp(Struct o1, Struct o2){
    return o1.x<o2.x;
}

long long binary_search(long long x, vector<long long> &a){
    long long l = -1;
    long long r = a.size();
    while(r-l>1){
        long long m = (l+r)/2;
        if(m>=x){
            r=m;
        }
        else{
            l=m;
        }
    }
    return r;
}

long long gcd_ext(long long a, long long b, long long &x, long long y){
    if(b==0) {
        x = 1;
        y = 0;
        return a;
    }
    long long x1, y1;
    long long d = gcd_ext(b, a%b, x1, y1);
    x = y1;
    y=x1-y1*(a/b);
    return d;
}

void dfs(vector<vector<long long>> &g, vector<long long> &used, long long i){
    used[i]=1;
    for (auto elem:g[i]) {
        dfs(g,used, elem);
    }
}

void bfs(vector<vector<long long>> &g, vector<long long> &used, long long i){
    queue<long long> q;
    q.push(i);
    while(!q.empty()){
        long long x = q.front();
        q.pop();
        for(auto elem: g[x]){
            if(!used[elem]) {
                q.push(elem);
            }
        }
    }
}


int main() {
    long long a, b;
    pair<long long, long long> l={0,1},r={1,0};
    cin >> a >> b;
    string ans = "R";
    pair<long long, long long> cur = {1, 1};
    while(cur.first/gcd(cur.first, cur.second)!=a/gcd(a,b) || cur.second/gcd(cur.first, cur.second)!=b/gcd(a,b)){
        if(cur.first*b<cur.second*a){
            ans+="R";
            l = cur;
            cur = {cur.first+r.first, cur.second+r.second};
        }
        else{
            ans+="L";
            r=cur;
            cur = {cur.first+l.first, cur.second+l.second};
        }
    }
    cout<<ans;
    return 0;
}