#include <iostream>
#include <bits/stdc++.h>

using namespace std;

struct Struct{
    long long x, y;
};

bool cmp(Struct o1, Struct o2){
    return o1.x<o2.x;
}

long long binary_search(long long x, vector<long long> &a){
    long long l = -1;
    long long r = a.size();
    while(r-l>1){
        long long m = (l+r)/2;
        if(m>=x){
            r=m;
        }
        else{
            l=m;
        }
    }
    return r;
}

long long gcd_ext(long long a, long long b, long long &x, long long y){
    if(b==0) {
        x = 1;
        y = 0;
        return a;
    }
    long long x1, y1;
    long long d = gcd_ext(b, a%b, x1, y1);
    x = y1;
    y=x1-y1*(a/b);
    return d;
}

void dfs(vector<vector<long long>> &g, vector<long long> &used, long long i){
    used[i]=1;
    for (auto elem:g[i]) {
        dfs(g,used, elem);
    }
}

void bfs(vector<vector<long long>> &g, vector<long long> &used, long long i){
    queue<long long> q;
    q.push(i);
    while(!q.empty()){
        long long x = q.front();
        q.pop();
        for(auto elem: g[x]){
            if(!used[elem]) {
                q.push(elem);
            }
        }
    }
}

string sum_min(char a, string b){
    string ans_sum;
    for (int i = 0; i<b.size(); ++i) {
        if(a>b[i]){
            ans_sum+=b[i];
        }
        else{
            ans_sum+=a;
        }
    }
    return ans_sum;
}

string sum_max(string a, string b){
    string ans_sum;
    for (int i = 1; i<=min(a.length(), b.length()); ++i) {
        if(a[a.size()-i]>b[b.size()-i]){
            ans_sum=a[a.size()-i]+ans_sum;
        }
        else{
            ans_sum=b[b.size()-i]+ans_sum;
        }
    }
    if(b.size()>a.size()){
        for (int i = b.size()-a.size()-1; i>=0; --i) {
            ans_sum=b[i]+ans_sum;
        }
    }
    else {
        for (int i = a.size()-b.size()-1; i>=0; --i) {
            ans_sum=a[i]+ans_sum;
        }
    }
    return ans_sum;
}

int main() {
    string a, b, add = "", ans = "";
    cin >> a >> b;
    for (int i = 1; i <= a.size(); ++i) {
        if(ans==""){
            ans = sum_min(a[a.size()-i], b)+add;
        }
        else{
            ans = sum_max(ans, sum_min(a[a.size()-i], b)+add);
        }
        add+='0';
    }
    cout<<sum_max(a,b) << " " << ans;
    return 0;
}